#pragma once

#include <library/cpp/mediator/messenger.h>

class TMessageDocfetcherSearchBan : public IMessage {
private:
    bool SearchDisabled;
public:
    TMessageDocfetcherSearchBan(bool searchDisabled)
        : SearchDisabled(searchDisabled)
    {
    }

    inline bool GetSearchDisabled() const {
        return SearchDisabled;
    }
};
